Oracle Linux 8:python39: 3.9 和 python39-devel: 3.9 (ELSA-2023-2764)

high Nessus Plugin ID 176305

概要

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

說明

遠端 Oracle Linux 8 主機中安裝的套件受到 ELSA-2023-2764 公告中提及的多個弱點影響。

- 在 Python 3.11.1 之前版本中發現一個問題。處理 IDNA (RFC 3490) 解碼器的部分輸入時,一個路徑中存在不必要的二次方演算法,如此一來,向解碼器顯示特製的過長名稱可導致 CPU 拒絕服務。主機名稱通常由遠端伺服器提供,而伺服器可能被惡意使用者控制,在這種情況下,他們可在嘗試使用攻擊者提供的假想主機名稱的用戶端上觸發 CPU 過度消耗。
例如,可以在狀態碼為 302 的 HTTP 回應的 Location 標頭中放置攻擊承載。計劃在 3.11.1、3.10.9、3.9.16、3.8.16 和 3.7.16 中進行修正。(CVE-2022-45061)

- 在 python 中發現一個缺陷。在使用非二進位基底的二次時間複雜度演算法中,當使用 int(text) 時,系統可能需要 50 秒才能剖析具有 100,000 位數的 int 字串,而對於具有 1,000,000 位數的 int 字串,則需要 5 秒 (二進位基底爲 2、4、8、16 和 32 的 float、decimal、int.from_bytes() 和 int() 不受影響)。此弱點對系統可用性威脅最大。(CVE-2020-10735)

- ** 有爭議 ** Python 3.x 到 3.10 版的 lib/http/server.py 中存在開放重新導向弱點,這是因為在 URI 路徑的開頭沒有針對多個 (/) 的保護機制,而這可能會導致資訊洩漏。
注意:第三方對此存有爭議,因為 http.server.html 文件頁面指出警告:
不建議將 http.server 用於生產環境,它僅實作基本的安全性檢查。(CVE-2021-28861)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2023-2764.html

Plugin 詳細資訊

嚴重性: High

ID: 176305

檔案名稱: oraclelinux_ELSA-2023-2764.nasl

版本: 1.0

類型: local

代理程式: unix

已發布: 2023/5/24

已更新: 2023/5/24

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Medium

分數: 5.2

CVSS v2

風險因素: High

基本分數: 7.8

時間分數: 6.1

媒介: CVSS2#AV:N/AC:L/Au:N/C:C/I:N/A:N

CVSS 評分資料來源: CVE-2021-28861

CVSS v3

風險因素: High

基本分數: 7.4

時間分數: 6.7

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:python39-libs, p-cpe:/a:oracle:linux:python39-lxml, p-cpe:/a:oracle:linux:python39-mod_wsgi, p-cpe:/a:oracle:linux:python39-more-itertools, p-cpe:/a:oracle:linux:python39-numpy, p-cpe:/a:oracle:linux:python39-numpy-doc, p-cpe:/a:oracle:linux:python39-numpy-f2py, p-cpe:/a:oracle:linux:python39-packaging, p-cpe:/a:oracle:linux:python39-pip, p-cpe:/a:oracle:linux:python39-pip-wheel, p-cpe:/a:oracle:linux:python39-pluggy, cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:python39, p-cpe:/a:oracle:linux:python39-cython, p-cpe:/a:oracle:linux:python39-pymysql, p-cpe:/a:oracle:linux:python39-attrs, p-cpe:/a:oracle:linux:python39-cffi, p-cpe:/a:oracle:linux:python39-chardet, p-cpe:/a:oracle:linux:python39-cryptography, p-cpe:/a:oracle:linux:python39-debug, p-cpe:/a:oracle:linux:python39-devel, p-cpe:/a:oracle:linux:python39-idle, p-cpe:/a:oracle:linux:python39-idna, p-cpe:/a:oracle:linux:python39-iniconfig, p-cpe:/a:oracle:linux:python39-ply, p-cpe:/a:oracle:linux:python39-psutil, p-cpe:/a:oracle:linux:python39-psycopg2, p-cpe:/a:oracle:linux:python39-psycopg2-doc, p-cpe:/a:oracle:linux:python39-psycopg2-tests, p-cpe:/a:oracle:linux:python39-py, p-cpe:/a:oracle:linux:python39-pybind11, p-cpe:/a:oracle:linux:python39-pybind11-devel, p-cpe:/a:oracle:linux:python39-pycparser, p-cpe:/a:oracle:linux:python39-pyparsing, p-cpe:/a:oracle:linux:python39-pysocks, p-cpe:/a:oracle:linux:python39-pytest, p-cpe:/a:oracle:linux:python39-pyyaml, p-cpe:/a:oracle:linux:python39-requests, p-cpe:/a:oracle:linux:python39-rpm-macros, p-cpe:/a:oracle:linux:python39-scipy, p-cpe:/a:oracle:linux:python39-setuptools, p-cpe:/a:oracle:linux:python39-setuptools-wheel, p-cpe:/a:oracle:linux:python39-six, p-cpe:/a:oracle:linux:python39-test, p-cpe:/a:oracle:linux:python39-tkinter, p-cpe:/a:oracle:linux:python39-toml, p-cpe:/a:oracle:linux:python39-urllib3, p-cpe:/a:oracle:linux:python39-wcwidth, p-cpe:/a:oracle:linux:python39-wheel, p-cpe:/a:oracle:linux:python39-wheel-wheel

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2023/5/23

弱點發布日期: 2022/8/23

參考資訊

CVE: CVE-2020-10735, CVE-2021-28861, CVE-2022-45061

IAVA: 2022-A-0467-S, 2023-A-0061-S